Get test run status and results
curl --request GET \
--url https://api.stably.ai/v1/projects/{projectId}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stably.ai/v1/projects/{projectId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stably.ai/v1/projects/{projectId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "QUEUED",
"startedAt": "<string>",
"finishedAt": "<string>",
"branchName": "<string>",
"results": {
"testCases": [
{
"title": "<string>",
"status": "QUEUED",
"durationMs": 123
}
]
}
}{
"error": "<string>"
}Test Run
Get test run status and results
Get the status and results of a test run
GET
/
v1
/
projects
/
{projectId}
/
runs
/
{runId}
Get test run status and results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
Overall status of the test run
Available options:
QUEUED, RUNNING, PASSED, FAILED, TIMEDOUT, CANCELLED, INTERRUPTED ISO timestamp when the run started (null for queued runs)
ISO timestamp when the run finished
Git branch name associated with this run
Test results (only present when status is not running)
Show child attributes
Show child attributes
Was this page helpful?